.menu {
    transition: background .2s ease-out;
    font-size: $menu;

    a {
        text-decoration: none;

        &:visited,&:active,&:hover, &:link{
            color: $white;
        }

        &:hover {
            color:$beige-50;
        }

    }

    .button {
        padding:1.25rem;
        font-size: $menu;
        border: 1px solid $white;
        background: none;
        color: $white;
        &:hover {
            background: $beige-50;
            border: 1px solid $beige;
            color:$beige;
        }
    }

    svg {
        .a {
            fill: $white;
        }

        .b {
            fill: $pale-blue;
        }
    }

    &--white {
        transition: background .2s ease-out;
        background: $white;
        box-shadow: 0 5px 5px $pale-grey-t;

        a {

            &:active,
            &:visited {
                color: $dark-grey;
            }
        }

        .button {
            border: 1px solid $dark-grey;
            color: $dark-grey;

            &:hover {
                background: $pale-grey-t;
                border: 1px solid $dark-grey;
                color: $dark-grey;
            }
        }

        svg .a {
            fill: $dark-grey;
        }
    }
}